org.jbpm.services.task.commands

## Class GetTaskAssignedAsInitiatorCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>
    - - org.jbpm.services.task.commands.GetTaskAssignedAsInitiatorCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>, org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>

      public class GetTaskAssignedAsInitiatorCommand
      extends UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskAssignedAsInitiatorCommand()`
    `GetTaskAssignedAsInitiatorCommand(String userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute(org.kie.api.runtime.Context cntxt)`

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### GetTaskAssignedAsInitiatorCommand

          public GetTaskAssignedAsInitiatorCommand()

    - #### GetTaskAssignedAsInitiatorCommand

          public GetTaskAssignedAsInitiatorCommand(String userId)

  - ### Method Detail

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<List<org.kie.api.task.model.TaskSummary>>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.